--------------------------------------------------------------------------------
-- |
-- Module      :  Graphics.Rendering.OpenGL.Raw.NV
-- Copyright   :  (c) Sven Panne 2009
-- License     :  BSD-style (see the file LICENSE)
--
-- Maintainer  :  sven.panne@aedion.de
-- Stability   :  stable
-- Portability :  portable
--
-- A convenience module, combining all raw modules containing NV extensions.
--
--------------------------------------------------------------------------------

module Graphics.Rendering.OpenGL.Raw.NV (
   module Graphics.Rendering.OpenGL.Raw.NV.CopyDepthToColor,
   module Graphics.Rendering.OpenGL.Raw.NV.DepthClamp,
   module Graphics.Rendering.OpenGL.Raw.NV.Fence,
   module Graphics.Rendering.OpenGL.Raw.NV.FogDistance,
   module Graphics.Rendering.OpenGL.Raw.NV.LightMaxExponent,
   module Graphics.Rendering.OpenGL.Raw.NV.MultisampleFilterHint,
   module Graphics.Rendering.OpenGL.Raw.NV.OcclusionQuery,
   module Graphics.Rendering.OpenGL.Raw.NV.PrimitiveRestart,
   module Graphics.Rendering.OpenGL.Raw.NV.RegisterCombiners,
   module Graphics.Rendering.OpenGL.Raw.NV.RegisterCombiners2,
   module Graphics.Rendering.OpenGL.Raw.NV.TexgenEmboss,
   module Graphics.Rendering.OpenGL.Raw.NV.TextureCompressionVtc,
   module Graphics.Rendering.OpenGL.Raw.NV.TextureEnvCombine4,
   module Graphics.Rendering.OpenGL.Raw.NV.TextureShader,
   module Graphics.Rendering.OpenGL.Raw.NV.TextureShader2,
   module Graphics.Rendering.OpenGL.Raw.NV.VertexArrayRange,
   module Graphics.Rendering.OpenGL.Raw.NV.VertexArrayRange2
) where

import Graphics.Rendering.OpenGL.Raw.NV.CopyDepthToColor
import Graphics.Rendering.OpenGL.Raw.NV.DepthClamp
import Graphics.Rendering.OpenGL.Raw.NV.Fence
import Graphics.Rendering.OpenGL.Raw.NV.FogDistance
import Graphics.Rendering.OpenGL.Raw.NV.LightMaxExponent
import Graphics.Rendering.OpenGL.Raw.NV.MultisampleFilterHint
import Graphics.Rendering.OpenGL.Raw.NV.OcclusionQuery
import Graphics.Rendering.OpenGL.Raw.NV.PrimitiveRestart
import Graphics.Rendering.OpenGL.Raw.NV.RegisterCombiners
import Graphics.Rendering.OpenGL.Raw.NV.RegisterCombiners2
import Graphics.Rendering.OpenGL.Raw.NV.TexgenEmboss
import Graphics.Rendering.OpenGL.Raw.NV.TextureCompressionVtc
import Graphics.Rendering.OpenGL.Raw.NV.TextureEnvCombine4
import Graphics.Rendering.OpenGL.Raw.NV.TextureShader
import Graphics.Rendering.OpenGL.Raw.NV.TextureShader2
import Graphics.Rendering.OpenGL.Raw.NV.VertexArrayRange
import Graphics.Rendering.OpenGL.Raw.NV.VertexArrayRange2
